﻿@model Kontakti

@{
    ViewBag.Title = "Ažuriranje kontakta";
}

<h1>Uredi kontakt</h1>
<p>
    <small>
        Korisniku se daje opcija da uredi podatke kontakta. Sva polja su obavezna. Korisniku se nakon potvrde uređivanja na glavnoj stranici kontakta ispisuje poruka o uspjehu ili neuspjehu promjene.
    </small>
</p>

<form asp-route-page="@ViewBag.Page"
      asp-route-sort="@ViewBag.Sort"
      asp-route-ascending="@ViewBag.Ascending"
      method="post">
    <div asp-validation-summary="All"></div>
    <input type="hidden" asp-for="Id" />
    <div class="form-group">
        <label asp-for="KontaktPodatci"></label>
        <div><span asp-validation-summary="KontaktPodatci"></span></div>
        <input asp-for="KontaktPodatci" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkSifKontaktaId"></label>
        <div><span asp-validation-summary="FkSifKontaktaId"></span></div>
        <select class="form-control" asp-for="FkSifKontaktaId" asp-items="ViewBag.VrsteKontakta">
            <option selected value="" disabled>Odaberite vrstu kontakta</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Spremi</button>
        <a asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>